DRUO
Get started
Acquirer Transactions

Refund Transaction

PUThttps://api.druo.com/transactions/refund

Refunds a transaction.

Initiates a refund for a previously processed transaction. This endpoint requires Bearer Token authentication to authorize access to the protected transaction resource.

Request body

custom_idstringoptional

An idempotency key created to enable safe retries of operations.

tokenstringRequired

The unique token identifier for the payment source.

transaction_uuidstringRequired

The unique identifier (UUID) of the transaction to be refunded.

Response

uuidstringoptional

The unique identifier (UUID) of the refund transaction.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
statusstringoptional

The current status of the transaction.

Possible values:PROCESSINGSUCCESSFULFAILEDCANCELED
Example: SUCCESSFUL
decline_reasonstringoptional

The reason why the transaction was declined, if applicable.

Example: INSUFFICCIENT_FUNDS